Bug 1538767 - java-1.8.0-openjdk FTBFS due to linking with -Wl,-z,defs
Summary: java-1.8.0-openjdk FTBFS due to linking with -Wl,-z,defs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: jiri vanek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 19:02 UTC by Severin Gehwolf
Modified: 2018-04-10 13:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 13:05:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
openjdk bug system JDK-8196218 None None None 2018-01-26 10:39:59 UTC
openjdk bug system JDK-8196509 None None None 2018-04-05 14:55:00 UTC
openjdk bug system JDK-8196516 None None None 2018-04-05 14:55:46 UTC

Description Severin Gehwolf 2018-01-25 19:02:51 UTC
Description of problem:
java-1.8.0-openjdk-1.8.0.161-0.b14.fc28 fails to build from source due to linking with undefined symbols. See bug 1535422 which seems to have caused this. With hardened build turned on the link command for libfontmanager.so ends up being:

/usr/bin/g++ -Wl,-z,relro -Wl,-z,defs -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -Xlinker --hash-style=both -Xlinker -O1 -shared -L/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/lib/amd64 -L/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/lib/amd64/server -Xlinker -z -Xlinker origin -Xlinker -rpath -Xlinker '$ORIGIN' -Xlinker -version-script=/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/make/mapfiles/libfontmanager/mapfile-vers.openjdk -Xlinker -soname=libfontmanager.so -o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/lib/amd64/libfontmanager.so /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/AlternateSubstSubtables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/AnchorTables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/ArabicLayoutEngine.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/ArabicShaping.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/CanonData.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/CanonShaping.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/ClassDefinitionTables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/ContextualGlyphInsertionProc2.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/ContextualGlyphSubstProc.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/ContextualGlyphSubstProc2.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/ContextualSubstSubtables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/CoverageTables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/CursiveAttachmentSubtables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/DeviceTables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/DrawGlyphList.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/ExtensionSubtables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/Features.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/FontInstanceAdapter.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/GDEFMarkFilter.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/GXLayoutEngine.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/GXLayoutEngine2.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/GlyphDefinitionTables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/GlyphIterator.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/GlyphLookupTables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/GlyphPositionAdjustments.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/GlyphPositioningTables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/GlyphPosnLookupProc.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/GlyphSubstLookupProc.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/GlyphSubstitutionTables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/HanLayoutEngine.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/HangulLayoutEngine.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/IndicClassTables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/IndicLayoutEngine.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/IndicRearrangementProcessor.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/IndicRearrangementProcessor2.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/IndicReordering.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/KernTable.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/KhmerLayoutEngine.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/KhmerReordering.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/LEFontInstance.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/LEGlyphStorage.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/LEInsertionList.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/LayoutEngine.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/LigatureSubstProc.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/LigatureSubstProc2.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/LigatureSubstSubtables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/LookupProcessor.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/LookupTables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/Lookups.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/MPreFixups.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/MarkArrays.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/MarkToBasePosnSubtables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/MarkToLigaturePosnSubtables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/MarkToMarkPosnSubtables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/MirroredCharData.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/MorphTables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/MorphTables2.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/MultipleSubstSubtables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/NonContextualGlyphSubstProc.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/NonContextualGlyphSubstProc2.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/OpenTypeLayoutEngine.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/OpenTypeUtilities.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/PairPositioningSubtables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/ScriptAndLanguage.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/ScriptAndLanguageTags.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/SegmentArrayProcessor.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/SegmentArrayProcessor2.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/SegmentSingleProcessor.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/SegmentSingleProcessor2.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/ShapingTypeData.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/SimpleArrayProcessor.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/SimpleArrayProcessor2.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/SinglePositioningSubtables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/SingleSubstitutionSubtables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/SingleTableProcessor.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/SingleTableProcessor2.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/StateTableProcessor.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/StateTableProcessor2.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/SubstitutionLookups.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/SubtableProcessor.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/SubtableProcessor2.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/SunLayoutEngine.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/ThaiLayoutEngine.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/ThaiShaping.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/ThaiStateTables.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/TibetanLayoutEngine.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/TibetanReordering.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/TrimmedArrayProcessor.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/TrimmedArrayProcessor2.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/ValueRecords.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/X11FontScaler.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/X11TextRenderer.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/freetypeScaler.o /builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/sunFont.o -lfreetype -lawt -lm -lstdc++ -ljava -ljvm -lc

Version-Release number of selected component (if applicable):
java-1.8.0-openjdk-1.8.0.161-0.b14.fc28 build with


How reproducible:
100%

Steps to Reproduce:
1. fedpkg clone -a java-1.8.0-openjdk
2. cd java-1.8.0-openjdk
3. fedpkg mockbuild

Actual results:
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/X11FontScaler.o: In function `Java_sun_font_NativeStrikeDisposer_freeNativeScalerContext':
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:57: undefined reference to `AWTFreeFont'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/X11FontScaler.o: In function `Java_sun_font_NativeStrike_createScalerContext':
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:96: undefined reference to `AWTLoadFont'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:107: undefined reference to `AWTFontMinByte1'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:108: undefined reference to `AWTFontMinCharOrByte2'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:109: undefined reference to `AWTFontMaxByte1'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:110: undefined reference to `AWTFontMaxCharOrByte2'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:112: undefined reference to `AWTFontDefaultChar'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/X11FontScaler.o: In function `Java_sun_font_NativeFont_fontExists':
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:163: undefined reference to `AWTCountFonts'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/X11FontScaler.o: In function `Java_sun_font_NativeFont_haveBitmapFonts':
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:187: undefined reference to `AWTCountFonts'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/X11FontScaler.o: In function `Java_sun_font_NativeFont_countGlyphs':
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:213: undefined reference to `AWTFreeFont'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/X11FontScaler.o: In function `Java_sun_font_NativeFont_getGlyphAdvance':
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:254: undefined reference to `AWTFontPerChar'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:255: undefined reference to `AWTFontPerChar'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:256: undefined reference to `AWTCharAdvance'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:263: undefined reference to `AWTFontTextExtents16'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:264: undefined reference to `AWTCharAdvance'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:265: undefined reference to `AWTFreeChar'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/X11FontScaler.o: In function `Java_sun_font_NativeFont_getGlyphImageNoDefault':
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:288: undefined reference to `AWTFontGenerateImage'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/X11FontScaler.o: In function `Java_sun_font_NativeFont_getGlyphImage':
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:309: undefined reference to `AWTFontGenerateImage'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/X11FontScaler.o: In function `Java_sun_font_NativeFont_getFontMetrics':
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:330: undefined reference to `AWTFontAscent'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:331: undefined reference to `AWTFontDescent'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:332: undefined reference to `AWTFontMaxBounds'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11FontScaler.c:332: undefined reference to `AWTCharAdvance'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/X11TextRenderer.o: In function `Java_sun_font_X11TextRenderer_doDrawGlyphList':
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/solaris/native/sun/font/X11TextRenderer.c:71: undefined reference to `AWTDrawGlyphList'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/sunFont.o: In function `Java_sun_font_StrikeCache_freeIntMemory':
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/share/native/sun/font/sunFont.c:260: undefined reference to `AccelGlyphCache_RemoveAllCellInfos'
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/build/jdk8.build/jdk/objs/libfontmanager/sunFont.o: In function `Java_sun_font_StrikeCache_freeLongMemory':
/builddir/build/BUILD/java-1.8.0-openjdk-1.8.0.161-0.b14.fc28.x86_64/openjdk/jdk/src/share/native/sun/font/sunFont.c:291: undefined reference to `AccelGlyphCache_RemoveAllCellInfos'
collect2: error: ld returned 1 exit status

Thus, build fails.

Expected results:
Link succeeds and build succeeds.

Additional info:
Failed koji task:
https://koji.fedoraproject.org/koji/taskinfo?taskID=24415653

Note that for non-hardened architectures, such as aarch64 and s390x and armv7hl (the latter are both Zero), the builds succeeded.

Comment 1 Severin Gehwolf 2018-01-25 19:08:48 UTC
Adding -lawt_headless to the link flags makes this specific error go away. I expect more issues to be found.

Comment 2 Severin Gehwolf 2018-01-26 10:39:59 UTC
Filed this bug upstream as well.

Comment 3 Severin Gehwolf 2018-01-26 10:47:59 UTC
Pull request with a proposed fix:
https://src.fedoraproject.org/rpms/java-1.8.0-openjdk/pull-request/1

This builds fine for me in a F28 mock and failed earlier.

Comment 4 Severin Gehwolf 2018-01-26 10:50:09 UTC
Jiri, please review and push if it looks good to you.

Comment 5 Severin Gehwolf 2018-01-26 11:10:49 UTC
Scratch build is running:
https://koji.fedoraproject.org/koji/taskinfo?taskID=24465491

Comment 6 Severin Gehwolf 2018-01-26 12:39:21 UTC
Not sure what happened with the scratch build in comment 5. It has some strange failures:
annobin: precompiled.hpp: Error: plugin built for compiler version (7.3.1) but run with compiler version (7.2.1)
cc1plus: error: fail to initialize plugin /usr/lib/gcc/ppc64le-redhat-linux/7/plugin/annobin.so

I attribute this to the compiler update which happened recently on rawhide. Here is another try:
https://koji.fedoraproject.org/koji/taskinfo?taskID=24467529

Comment 7 Severin Gehwolf 2018-01-29 12:11:11 UTC
The latest scratch build failed on ppc64le. I've filed bug 1539664 for this. I don't think that one is openjdk's fault.

Comment 8 Severin Gehwolf 2018-01-29 14:03:39 UTC
Next scratch build with this commit which should work around bug 1539664 and hopefully a passing scratch build on rawhide:
https://src.fedoraproject.org/fork/jerboaa/rpms/java-1.8.0-openjdk/c/5d552d21474e030b15d60d5bff9b54f1bb90e6c4?branch=master

https://koji.fedoraproject.org/koji/taskinfo?taskID=24536207

Comment 9 Severin Gehwolf 2018-01-29 16:40:41 UTC
Good times. With ppc64le we now run into bug 
1539812. Not sure what's happening with aarch64.

Comment 10 Severin Gehwolf 2018-01-29 16:41:40 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1539812

Comment 11 Severin Gehwolf 2018-01-29 16:43:32 UTC
Meanwhile, -Wl,-z,defs changes in redhat-rpm-config have been reverted in rawhide:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1021842

Comment 12 Severin Gehwolf 2018-01-31 11:50:16 UTC
(In reply to Severin Gehwolf from comment #3)
> Pull request with a proposed fix:
> https://src.fedoraproject.org/rpms/java-1.8.0-openjdk/pull-request/1

Closed this --^ PR in favour of this new one. The old one included other unrelated fixes:

https://src.fedoraproject.org/rpms/java-1.8.0-openjdk/pull-request/2

Comment 13 jiri vanek 2018-02-07 10:43:59 UTC
I guess this is fixed in: https://koji.fedoraproject.org/koji/taskinfo?taskID=24653130

Comment 14 Severin Gehwolf 2018-04-05 14:54:08 UTC
Reopening since the fix has been reverted upstream. See JDK-8196509. The redo bug has some details as to what the issue is: JDK-8196516

Comment 15 Severin Gehwolf 2018-04-10 12:15:34 UTC
PR with the correct fix is here:
https://src.fedoraproject.org/rpms/java-1.8.0-openjdk/pull-request/3

If it looks good to you, Jiri, please merge. Assigning to Jiri.

Comment 16 jiri vanek 2018-04-10 13:05:57 UTC
merged


Note You need to log in before you can comment on or make changes to this bug.